<?php
/** @var \LabBase\Model\Brand $brand */
/** @var \LabBase\Model\User $user */
/**
 * @var \LabBase\Model\BrandPost $post
 * @var \Zend\View\Renderer\PhpRenderer $this
 */
$brand = $this->brand;
$user = $this->user;
$postList = $this->postList;
$isBrandAdmin = $this->isBrandAdmin;
$editable = $this->editable;

$drafts = (isset($this->drafts) && $this->drafts == true) ? $this->drafts : false;

foreach($postList as $post){

    $postTypeString = $post->getPostType();

?>
<div class="post-story" data-post-type="<?= $postTypeString ?>" data-postid="<?php echo $post->id; ?>" id="feed-post-<?php echo $post->id; ?>">
    <?php
    $this->productHelper()->jsonShortData($post);
    ?>
    <!--<div class="avatar">
        <img src="/images/avatar.png">
    </div>-->
    <span class="page-avatar-change-button">
        <?= $this->imageLinker()->getBrandAvatarHTML($brand); ?>
    </span>

    <div class="socialcontent" id="brand-post-<?= $post->id ?>">
        <?php if($editable && $isBrandAdmin){ ?>
            <li class="olovka dropdown">
                <a aria-expanded="true" aria-haspopup="true" role="button" href="#" data-toggle="dropdown" class="dropdown-toggle">
                    <i aria-hidden="true" class="fa fa-pencil"></i>
                </a>
                <ul class="dropdown-menu aboutPopup">
                    <div class="aboutPop">
                        <ul>
                            <?php

                                $isAlbum = 0;
                                if($post->postType == 4 && !empty($post->postTitle))
                                {
                                    $isAlbum = 1;
                                }
                            ?>
                            <?php if(!$drafts){ ?>
                                <li>
                                    <a data-album="<?php echo $isAlbum; ?>" data-postid="<?php echo $post->id; ?>" data-category="<?php echo isset($post->_postSegmentParam) ? $post->_postSegmentParam : 0; ?>" onclick="editPost(this, '<?php echo $post->getPostSegment(); ?>'); return false;" href="javascript:void(0);">
                                        <img src="/images/pen.png"><span>Edit</span>
                                    </a>
                                </li>
                            <?php }else{ ?>
                                <li>
                                    <a data-postid="<?php echo $post->id; ?>" onclick="editPost(this); return false;" href="javascript:void(0);">
                                        <img src="/images/pen.png"><span>Continue editing</span>
                                    </a>
                                </li>
                            <?php } ?>
                            <li>
                                <a data-postid="<?php echo $post->id; ?>" onclick="deletePosts($(this), '<?php echo $post->getPostSegment(); ?>'); return false;" href="<?php echo $this->url('delete-post', array('postId' => $post->id)); ?>">
                                    <img src="/images/trash.png"><span>Delete</span>
                                </a>
                            </li>
                        </ul>
                    </div>
                </ul>
            </li>
        <?php } ?>

        <h3 class="post-title"><?php echo $post->postTitle; ?></h3>

        <a data-target-segment="landing" href="<?= $this->url('brand', ['url' => $brand->url, 'segmentOrId' => 'landing']) ?>"><span class="pagename"><?= $brand->name; ?></span></a>
        <span class="in">•&nbsp;&nbsp;In&nbsp;&nbsp;•</span>
        <?php
        $segment = $post->getPostSegment();
        $segParam = $post->getPostSegmentParam();
        ?>
        <a data-target-segment="<?= $segment ?>" <?= $segParam ? "data-segment-param=\"$segParam\" " : '' ?>href="<?= $this->url('brand', ['url' => $brand->url, 'segmentOrId' => $segment, 'param1' => $segParam]) ?>"><span class="category"><?= $post->getPostTypeString() ?></span></a>
        <span class="posted" data-timestamp="<?= $post->dateCreated ?>" data-timestamp-format="short"></span>

        <div class="post-content contracted">
            <p class="actual-post-content"><?php echo $post->postContent; ?></p>
            <span class="post-read-more hide-by-default"></span>
        </div>

        <?php
        $imageData = [];
        $postImages = array();
        if(!empty($post->postImageData))
        {
            $postImages = json_decode($post->postImageData);
        }
        $postURL = $this->serverUrl($this->url('brand', ['url' => $brand->url, 'segmentOrId' => $post->id]));

        $loveCnt = (isset($post->loveCnt) && $post->loveCnt > 0) ? "({$post->loveCnt})" : '';
        /*                            echo $loveCnt; die;*/
        $loveText = "Love ${loveCnt}";
        $loveOrNot = 1;
        $fill = '';
        if(isset($post->loveOrNot) && $post->loveOrNot === 1)
        {
            $loveText = "Loved! ${loveCnt}";
            $loveOrNot = 0;
            $fill = 'fill-heart';
        }
        ?>
        <?php if(!empty($postImages)){ ?>
            <div class="post-image-list image-list" id="post-<?php echo $post->id; ?>-image-list">
                <?php
                $totalCount = count($postImages);

                $countPerRow = 2;
                if($totalCount == 1 || $totalCount == 2) {
                    $countPerRow = 1;
                }
                $firstRowCount = 1;
                if($totalCount % 2 == 0) {
                    $firstRowCount = $countPerRow;
                }
                $i = 0;


                $sliderImages="";$littleSliderIm="";
                foreach($postImages as $postImage)
                {
                    if($i < $firstRowCount) {
                        $currMaxCount = $firstRowCount;
                        $currInRow = $i + 1;
                    }else{
                        $currMaxCount = $countPerRow;
                        $currInRow = ($i - $firstRowCount) % $currMaxCount + 1;
                    }
                    $imageClass = "img-$currInRow-of-$currMaxCount";
                    $imageUrl = $postImage->url;
                    $lsiderActiveClass = ($i == 0) ? 'active' : '';
                    ?>
                    <div class="image-frame <?= $imageClass ?>">
                        <!--<img src="<?//= $imageUrl ?>" />-->
                        <a href="#fs-photo-slider-<?php echo $post->id; ?>" data-postid="<?php echo $post->id; ?>" data-slide-to="<?php echo $i; ?>" onclick="loadOnPage(<?php echo $post->id; ?>)">
                            <img src="<?= $imageUrl ?>" data-toggle="modal" data-target="#image-modal-<?php echo $post->id; ?>" />
                        </a>
                    </div>
                    <?php 
                    $photoTitle = (isset($post->postTitle) && !empty($post->postTitle)) ? $post->postTitle : count($postImages).' photos uploaded';
                    $PhotCpation = (isset($postImage->caption) && $postImage->caption != "") ? '<p>'.$postImage->caption.'</p>' : $post->postContent;
                    $dateTimestamp = $post->dateCreated;
                    $formattedTime = date("d-m-Y H:i", $dateTimestamp);
                    
                    $imgName = basename($postImage->url);

                    $statusCSS='';
                    $statusText='';
                    switch ($post->radio){
                        case '1':
                            $statusCSS='background-color: #D9544F;';
                            $statusText='Sale';
                            break;
                        case '2':
                            $statusCSS='background-color: green;';
                            $statusText='New';
                            break;
                        case '3':
                            $statusCSS='background-color: #4169E1; width:120px;';
                            $statusText='Best Seller';
                            break;
                    }
                    $sliderImages .='<div style="left: 5%;top: 10px;color:black;visibility:visible;'.$statusCSS.'" class="preview-infogoods" align="center">'.$statusText.'</div>';


                    $sliderImages .= '<div class="item '.$lsiderActiveClass.' item-active"  data-slide-number="'.$i.'" data-post-id="'.$post->id.'">
                                        <img id="'.$i.'" src="'.$postImage->url.'" class="img-responsive">
                                        <input type="hidden" id="photoTitle_'.$i.'" value="'.$photoTitle.'"/>
                                        <input type="hidden" id="photoCaption_'.$i.'" value="'.$PhotCpation.'"/>
                                        <input type="hidden" id="photoLoveCnt_'.$i.'" value="'.$post->loveCnt.'"/>
                                        <input type="hidden" id="photoLove_'.$i.'" value="'.$post->loveOrNot.'"/>
                                        <input type="hidden" id="photoDateStamp_'.$i.'" value="'.$dateTimestamp.'"/>
                                        <input type="hidden" id="photoDateFormate_'.$i.'" value="'.$formattedTime.'"/>
                                        <input type="hidden" id="photoCommenstCnt_'.$i.'" value="'.(isset($post->commentsCnt) ? $post->commentsCnt : 0).'"/>
                                    </div>';

                    $littleSliderIm .= '<li>
                                            <a id="carousel-selector-'.$i.'"  href="javascript:void(0)"  >
                                                <img src="'.$postImage->url.'" style="width:80px; height:60px;" data-post-id="'.$post->id.'" data-slider-item="'.$i.'" class="littleP" img-responsive">
                                            </a>
                                      </li>';
                    $i++;
                }
                ?>
            </div>
        <?php }else{ ?>
            <div class="post-image-list image-list" id="post-<?php echo $post->id; ?>-image-list">
            </div>
        <?php } ?>


        <?php if(!$post->draft && !$drafts){ ?>
            <div class="post-bottom">
                <a href="javascript:void(0);" data-loved="<?php echo $loveOrNot; ?>" id="post_love_<?php echo $post->id; ?>" onclick="postButton('love', <?php echo $post->id; ?>); return false;">
                    <i class="fa fa-heart <?php echo $fill; ?>" aria-hidden="true"></i>
                    <span class="downspan <?php echo $fill; ?>"><?php echo $loveText; ?></span>
                </a>
                <?php /* ?><a href="javascript:void(0);" onclick="postButton('comment', <?php echo $post->id; ?>); return false;"><?php */ ?>
                <!--<a href="#" onclick="$('textarea.comment-content',$(this).closest('.post-bottom')).click(); return false;">-->
                <a href="#" onclick="commentsButtonClicked(this); return false;">
                    <script>
                        function commentsButtonClicked(self) {
                            setTimeout(function(){
                                var $target = $(self).closest('.post-bottom').find('textarea.comment-content');
                                for(var i = 0; i < 4; i ++) {
                                    if(parseInt($target.css('height')) != 35) {
                                        break;
                                    }
                                    console.log("target not focused", i);
                                    $target.focus();
                                }
                            }, 100);
                        }
                    </script>
                    <span class="glyphicon glyphicon-comment" aria-hidden="true"></span>
                    <span class="downspan">
                        Comment
                        <span class="commentCounts">
                        <?php if(isset($post->commentsCnt) && $post->commentsCnt > 0){ ?>
                            (<?php echo $post->commentsCnt ?>)
                        <?php } ?>
                        </span>
                    </span>
                </a>

                <div class="sharing_content">
                    <div class="social_sharing">
                        <ul>
                            <li><a href="javascript:void(0);" onclick="javascript:socialShare('fb', '<?php echo $postURL; ?>', '<?php echo $post->postTitle; ?>', '', '', 520, 350);"><img src="/images/social_icon/Facebook.png"/></a></li>
                            <li><a href="javascript:void(0);" onclick="javascript:socialShare('twitter','<?php echo $postURL; ?>', '<?php echo $post->postTitle; ?>', '', '', 520, 350);"><img src="/images/social_icon/Twitter.png"/></a></li>
                            <li><a href="mailto:?subject=Share with your friends&body=<?php echo $postURL; ?>"><img src="/images/social_icon/Email.png"/></a></li>
                        </ul>
                    </div>
                    <a href="javascript:void(0);">
                        <span class="downspan">Share</span>
                    </a>
                </div>

                <?php if(isset($post->comments)) { ?>
                <div class="comment-form">
                    <div class="comment-section">
                        <ol>
                            <?php
                            if(!empty($post->comments))
                            {
                                usort($post->comments, "cmp");
                                foreach($post->comments as $comment)
                                {
                                    ?>
                                    <li id="post-comment-<?php echo $comment['id']; ?>" class="comment-entity comment <?php echo ($comment['public']) ? '' : 'not-approved'; ?>">
                                        <div class="content">
                                            <div class="comment-body">
                                                <?php
                                                $iniCls = '';
                                                $imgHtml = '';
                                                if($comment['userAvatar'] == '')
                                                {
                                                    $iniCls = 'initial-image';
                                                    $imgHtml = '<span>'.$comment['userInitails'].'</span>';
                                                }
                                                else
                                                {
                                                    $imgHtml = '<img src="'.$comment['userAvatar'].'" alt="'.htmlspecialchars($comment['name']).'">';
                                                }
                                                ?>
                                                <a class="image xsmall-image <?php echo $iniCls; ?>">
                                                    <?php echo $imgHtml; ?>
                                                </a>
                                                <div class="header">
                                                    <div data-block="meta" class="meta <?php if(!$this->isBrandAdmin){ ?>nohover<?php } ?>">
                                                        <span data-timestamp="<?= $comment['date']; ?>" data-timestamp-format="short"></span>
                                                    </div>
                                                    <?php if($this->isBrandAdmin){ ?>
                                                    <div class="meta-actions dropdown">
                                                        <a aria-expanded="true" aria-haspopup="true" role="button" href="#" data-toggle="dropdown" class="dropdown-toggle">
                                                            <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                        </a>
                                                        <ul class="dropdown-menu aboutPopup">
                                                            <div class="aboutPop">
                                                                <ul>
                                                                    <li>
                                                                        <a onclick="commentButton('edit', '<?php echo $comment['id']; ?>'); return false;" href="javascript:void(0);">
                                                                            <img src="/images/pen.png"><span>Edit</span>
                                                                        </a>
                                                                    </li>
                                                                    <li>
                                                                        <a href="javascript:void(0);" onclick="commentButton('delete', '<?php echo $comment['id']; ?>'); return false;">
                                                                            <img src="/images/trash.png"><span>Delete</span>
                                                                        </a>
                                                                    </li>
                                                                </ul>
                                                            </div>
                                                        </ul>
                                                    </div>
                                                    <?php } ?>
                                                    <h4 class="sub-headline">
                                                        <a class="name" href="javascript:void(0);"><?php echo htmlspecialchars($comment['name']); ?></a>
                                                    </h4>
                                                </div>

                                                <div class="text-entity">
                                                    <p><?php echo htmlspecialchars($comment['text']); ?></p>
                                                </div>

                                            </div>
                                        </div>
                                    </li>
                                    <?php
                                }
                            }
                            ?>
                        </ol>
                    </div>
                    <form>
                        <?php
                        $show = 'none';
                        if(isset($post->commentsCnt) && $post->commentsCnt > 3)
                        {
                            $show = '';
                        }
                        ?>
                        <div class="previous_comments" style="display: <?php echo $show; ?>;">
                            <a href="javascript:void(0);" onclick="postButton('allcomments', <?php echo $post->id; ?>); return false;">Show Previews Comments</a>
                        </div>
                        <textarea onfocus="focusTextArea(this)" onblur="focusOutTextArea(this)" onkeyup="keyUpTextArea(this)" class="textarea-scrollbar scrollbar-outer form-control comment-content" placeholder="Write a comment"></textarea>
                        <input type="hidden" name="hdnCommentID" class="comment_id" value="">
                        <input type="submit" class="btn btn-info" value="Comment" onclick="try {postButton('commentSubmit', <?php echo $post->id; ?>);}catch(e){} return false;" />
                        <!--<div class="comments_counter" style="display:none;">There are <span></span> comments</div>-->
                    </form>
                </div>
            <?php } ?>
            </div>
        <?php } ?>
    </div>
</div>
<?php } ?>
